Last Comment Bug 663362 - Correctness fix in getCaCertForEntityCert (Certificate Manager)
: Correctness fix in getCaCertForEntityCert (Certificate Manager)
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Kai Engert (:kaie)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-10 05:48 PDT by Kai Engert (:kaie)
Modified: 2011-06-17 12:54 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (811 bytes, patch)
2011-06-10 05:49 PDT, Kai Engert (:kaie)
kaie: review+
asa: approval‑mozilla‑aurora-
asa: approval‑mozilla‑beta-
Details | Diff | Splinter Review

Description Kai Engert (:kaie) 2011-06-10 05:48:04 PDT
In bug 260364, the patch includes a fix for getCaCertForEntityCert.

On branches that don't pick up 260364, we should add least add this correctness fix.
Comment 1 Kai Engert (:kaie) 2011-06-10 05:49:53 PDT
Created attachment 538488 [details] [diff] [review]
Patch v1

This is a subset of the patch from bug 260364, and has my r=kaie
Comment 2 Ian Neal 2011-06-10 09:00:51 PDT
Fixed on trunk with http://hg.mozilla.org/mozilla-central/rev/b7502e9fbd30
Comment 3 Asa Dotzler [:asa] 2011-06-13 14:41:21 PDT
Comment on attachment 538488 [details] [diff] [review]
Patch v1

this is not the kind of change we're interested in for the stabilizing branches.
Comment 4 Kai Engert (:kaie) 2011-06-17 12:54:58 PDT
Comment on attachment 538488 [details] [diff] [review]
Patch v1

If correctness fixes are not desired for soon-to-be-released software, then there is no point to fix them in stable branches. Removing requests.

Note You need to log in before you can comment on or make changes to this bug.